Bug 201004 - "realloc: Success" from cronned sa1
"realloc: Success" from cronned sa1
Product: Fedora
Classification: Fedora
Component: sysstat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-08-02 04:09 EDT by Joe Orton
Modified: 2008-09-16 09:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: sysstat-7.0.2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-29 04:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace /usr/lib/sa/sa1 1 1 (11.38 KB, text/plain)
2006-11-02 07:36 EST, Andreas M. Kirchwitz
no flags Details

  None (edit)
Description Joe Orton 2006-08-02 04:09:14 EDT
Description of problem:
After a fresh Raw Hide install I got this message from sa1:

From: root@trash.cambridge.redhat.com (Cron Daemon)
To: root@trash.cambridge.redhat.com
Date: Wed, 2 Aug 2006 09:10:02 +0100
Subject: Cron <root@trash> /usr/lib/sa/sa1 1 1

realloc: Success

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
[root@trash ~]# /usr/lib/sa/sa1 1 1
realloc: Success
Comment 1 Joe Orton 2006-08-08 10:31:38 EDT
This box was behaving oddly in other ways due to bug 201002 and I can no longer
reproduce with the i686 kernel booted.  Marking NEEDINFO until I have a proper
Comment 2 Joe Orton 2006-09-13 04:53:36 EDT
I am seeing this again.  Fresh @Everything install of Raw Hide.  Correct glibc,
correct kernel.

[root@trash ~]# /usr/lib/sa/sa1 1 1
realloc: Success
Comment 3 Ivana Varekova 2006-10-10 04:47:24 EDT
I try to reproduce this problem on today's rawhide (i386) but the command works
right. Could you please attach a strace here of broken sa run. 
Comment 4 Andreas M. Kirchwitz 2006-11-02 07:34:32 EST
Same problem on final Fedora Core 6 (i686).
See attachement with strace output.
Comment 5 Andreas M. Kirchwitz 2006-11-02 07:36:17 EST
Created attachment 140116 [details]
strace /usr/lib/sa/sa1 1 1
Comment 6 Andreas M. Kirchwitz 2006-11-02 07:46:29 EST
Found a solution myself:
Removing /var/log/sa/sa02 made the message go away.
According to "ls -lZ" the new file has a different SELinux
context (system_u -> user_u), but funny thing is that
I'm running SELinux in permissive mode (not enforcing),
so contexts shouldn't have any meaning to applications
(except they'd check it themselves). There are no warnings
in /var/log/messages.

Maybe it helps other people as well.
(actual filename depends on day of month, of course)
Comment 8 Jerry James 2006-11-04 23:03:33 EST
This is a known upstream bug: http://perso.orange.fr/sebastien.godard/changelog.html
Upgrading to 7.0.1 or 7.0.2 fixes it.
Comment 9 Ivana Varekova 2006-11-29 04:28:38 EST
Fixed in sysstat-7.0.2-3.fc7.

Note You need to log in before you can comment on or make changes to this bug.